tt_message_class_set(library call)

NAME
tt_message_class_set — set the class attribute for a message

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_message_class_set(
Tt_message m,
Tt_class c);

DESCRIPTION

The tt_message_class_set function sets the class attribute for the specified message.

The m argument is the opaque handle for the message involved in this operation. The c argument indicates whether an action is to take place after the message is received. The following values are defined:

TT_NOTICE
    A notice of an event. The sender does not want feedback on this message.

TT_REQUEST
    A request for some action to be taken. The sender must be notified of progress, success or failure, and must receive any return values.

RETURN VALUE

Upon successful completion, the tt_message_class_set function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

SEE ALSO

Tt/tt_c.h - Tttt_c(5).